Package org.springframework.security.access.intercept.aspectj

# Interface AspectJCallback

@Deprecated public interface AspectJCallback
Deprecated.
This class will be removed from the public API. Please either use `spring-security-aspects`, Spring Security's method security support or create your own class that uses Spring AOP annotations.
Called by the `AspectJMethodSecurityInterceptor` when it wishes for the AspectJ processing to continue. Typically implemented in the `around()` advice as a simple `return proceed();` statement.

## Method Summary

Modifier and Type
Method
Description
`Object`
`proceedWithObject()`
Deprecated.

## Method Details

### proceedWithObject

Object proceedWithObject()
Deprecated.